
/**
 * ArrayList examples
 * 
 * @author Christine Amarra
 * @version 08/24/2005
 */
import java.util.*;
 
public class ArrayListEx
{
    private ArrayList<String> names;
    private ArrayList<BankAccount> accounts;
    
    public ArrayListEx()
    {
        names = new ArrayList<String>();
        accounts = new ArrayList<BankAccount>();
    }

    public void stringArrayList()
    {
        names.add( "Bart" );
        names.add( "Lisa" );
        names.add( "Maggie" );
        
        for ( int i = 0; i < names.size(); i++ )
        {
        	System.out.println( names.get( i ) );
        }
        names.set( 1, "Homer" );
        names.add( "Marge" );
        
        System.out.println("-----");
        
        for ( int i = 0; i < names.size(); i++ )
        {
        	System.out.println( names.get( i ) );
        }
        System.out.println("-----");
        
        for ( String s : names )
        {
        	System.out.println(s);
        }
    }
    public void bankAccountArrayList()
    {
    	addBankAccount( "john", 500 );
    	addBankAccount( "marsha", 1000 );
    	addBankAccount( "anna", 1234 );
    	
    	for ( int i = 0; i < accounts.size(); i++ )
        {
        	BankAccount b = accounts.get( i );
        	System.out.println( b.getAcctName() + " : " + b.getBalance() );
        }
    	
    	addBankAccount( "paul", 9458 );
    	addBankAccount( "jack", 5000 );

        System.out.println("-----");
        
        for ( BankAccount ba : accounts )
        {
        	System.out.println( ba.getAcctName() + " : " + ba.getBalance() );
        }

    }
    private void addBankAccount( String name, int initBal )
    {
        BankAccount a = new BankAccount( initBal );
        a.setAcctName( name );
        accounts.add( a );
    	
    }
}