
/**
 * Bank class with multiple bank accounts.
 * The class facilitates transactions on the accounts.
 * 
 * @author John Paul Vergara
 * @version 08/03/2005
 */
public class Bank
{
    private BankAccount[] accounts;
    private static final int MAX = 10;
    private int numAccounts = 0; 
   
    public Bank()
    {
        accounts = new BankAccount[MAX];
        
        openAccount( "john", 1000 );
        openAccount( "marsha", 2000 );      
    }
    
    public void openAccount( String name, int initbal )
    {
        if ( numAccounts < MAX )
        {
            accounts[numAccounts] = new BankAccount( initbal );
            accounts[numAccounts].setAcctName( name );
            numAccounts++;
        }
        else
        {
            System.out.println( "Maximum number of accounts reached" );
        }
    }
    
    public void deposit( String name, int amount )
    {
        BankAccount temp = this.findAccount( name );
        if ( temp != null)
            temp.deposit( amount );
    }
    
    public void withdraw( String name, int amount )
    {
        BankAccount temp = this.findAccount( name );
        if ( temp != null)
            temp.withdraw( amount );
    }
    
    public int getBalance( String name )
    {
        BankAccount temp = this.findAccount( name );
        if ( temp != null )
            return temp.getBalance();
        else
            return 0;
    }

    private BankAccount findAccount( String name )
    {
        for(int x = 0; x < numAccounts; x++)
        {
             if(accounts[x].getAcctName().equals(name))
             {
                 return accounts[x];
             }
        }
        System.out.println( "Account does not exist" );
        return null;
    }

}
